<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.train.project.dao.TrainExamsExternalInfoDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.train.project.model.domain.TrainExamsExternalInfo">
        <id column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="status" property="status" />
        <result column="create_by" property="createBy" />
        <result column="create_date" property="createDate" />
        <result column="update_by" property="updateBy" />
        <result column="update_date" property="updateDate" />
        <result column="remarks" property="remarks" />
        <result column="train_name" property="trainName" />
        <result column="course_name" property="courseName" />
        <result column="user_type_code" property="userTypeCode" />
        <result column="train_type" property="trainType" />
        <result column="train_start_time" property="trainStartTime" />
        <result column="train_end_time" property="trainEndTime" />
        <result column="train_address" property="trainAddress" />
        <result column="take_exam_state" property="takeExamState" />
        <result column="exam_name" property="examName" />
        <result column="exam_type" property="examType" />
        <result column="exam_start_time" property="examStartTime" />
        <result column="exam_end_time" property="examEndTime" />
        <result column="exam_address" property="examAddress" />
        <result column="exam_duration" property="examDuration" />
        <result column="exam_score" property="examScore" />
        <result column="ref_id" property="refId" />
    </resultMap>

</mapper>
